Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 182430 - extra modes required for SGI 1600SW monitor
Summary: extra modes required for SGI 1600SW monitor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-22 15:12 UTC by Chris Lumens
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.0.1-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-06 20:33:02 UTC


Attachments (Terms of Use)

Description Chris Lumens 2006-02-22 15:12:28 UTC
Please remove the one modeline in /usr/share/xorg/extramodes marked as needed
for the SGI 1600SW and add the following ones instead:

ModeLine "1600x1024" 103.125 1600 1600 1656 1664 1024 1024 1029 1030 HSkew 7
+Hsync +Vsync
ModeLine "1600x1024" 103.125 1600 1600 1656 1664 1024 1024 1029 1030 HSkew 5
+Hsync +Vsync
ModeLine "1600x1024" 103.125 1600 1600 1656 1664 1024 1024 1029 1030 HSkew 1
+Hsync +Vsync
ModeLine "800x512" 54.375 800 800 840 848 512 512 514 515 HSkew 7 DoubleScan
+Hsync +Vsync
ModeLine "800x512" 54.375 800 800 840 848 512 512 514 515 HSkew 5 DoubleScan
+Hsync +Vsync
ModeLine "800x512" 54.375 800 800 840 848 512 512 514 515 HSkew 1 DoubleScan
+Hsync +Vsync

These are required for proper function of this display, in combination with
changes to pyxf86config and rhpxl.  The source for these modelines is:

http://ftp.x.org/pub/X11R7.0/doc/html/I1284.html#4

Comment 1 Mike A. Harris 2006-02-28 07:24:54 UTC
It is the extramodes file in the raw source that needs patching, as the
/usr/share/xorg/extramodes is a read-only file which is present only so the
config tools know what video modes the X server was compiled with.

ie: if you edit the file, it wont do anything at runtime. ;)

Comment 2 Jason 2006-03-01 15:09:09 UTC
This might be a dup of 115679.  

Comment 3 Chris Lumens 2006-03-01 15:23:05 UTC
No, this is one of the things that needs to be done so 115679 can be closed. 
There's several parts to this problem and this bug is just so the X people know
what part they need to deal with.

Comment 4 Jeremy Katz 2006-03-06 20:33:02 UTC
Adjusted the extra mode we ship in 1.0.1-8


Note You need to log in before you can comment on or make changes to this bug.